%define name openrm
%define version 1.5.2
%define release 1mdk

%define rmver rm152

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d


Summary: OpenRM development environment 
Name: %name
Version: %version
Release: %release
Source0: openrm-devel-%{version}-3.tar.bz2
Source1: openrm-demo-%{version}.tar.bz2
Source2: openrm-cave-demo-%{version}.tar.bz2
URL: http://openrm.sourceforge.net/
License: LGPL
Group: System/Libraries
Buildrequires: XFree86-devel libMesaGLU-devel
BuildRoot: %{_tmppath}/%name-buildroot
Requires: libGL.so.1, libGLU.so.1, libjpeg.so.62

%description
OpenRM Scene Graph is set of tools and utilities that implement a
high performance, flexible and extendible scene graph API. Underneath
OpenRM, OpenGL(tm) is used as the graphics platform for rendering,
so OpenRM is highly portable and can deliver blazing rendering speeds.
OpenRM can be used on any platform that has OpenGL

%package -n %libname
License: LGPL
Group: System/Libraries
Summary: OpenRM is a development environment to build high performance graphics.

%description -n %libname
OpenRM Scene Graph is set of tools and utilities that implement a
high performance, flexible and extendible scene graph API. Underneath
OpenRM, OpenGL(tm) is used as the graphics platform for rendering,
so OpenRM is highly portable and can deliver blazing rendering speeds.
OpenRM can be used on any platform that has OpenGL

%package -n %libnamedev
License: LGPL
Group: System/Libraries
Summary: OpenRM is a development environment to build high performance graphics.
Requires: %libname = %version
Provides: libopenrm-devel

%description -n %libnamedev
OpenRM Scene Graph is set of tools and utilities that implement a
high performance, flexible and extendible scene graph API. Underneath
OpenRM, OpenGL(tm) is used as the graphics platform for rendering,
so OpenRM is highly portable and can deliver blazing rendering speeds.
OpenRM can be used on any platform that has OpenGL


%prep
rm -rf $RPM_BUILD_ROOT
cd ${RPM_BUILD_DIR}
rm -rf %{rmver} rmdemo openRMCaveDemos
bunzip2 -c ${RPM_SOURCE_DIR}/openrm-devel-%{version}-3.tar.bz2 | tar xvf -
bunzip2 -c ${RPM_SOURCE_DIR}/openrm-demo-%{version}.tar.bz2 | tar xvf -
bunzip2 -c ${RPM_SOURCE_DIR}/openrm-cave-demo-%{version}.tar.bz2 | tar xvf -
cd ${RPM_BUILD_DIR}/%{rmver}

%build
cd ${RPM_BUILD_DIR}/%{rmver}
make linux
make docs
cd ${RPM_BUILD_DIR}/rmdemo
./configure -opengl=/usr -rm=/usr -x11=/usr/X11R6 -opt='-O2' -jpeg=/usr
cd ${RPM_BUILD_DIR}/openRMCaveDemos
./configure -opengl=/usr -rm=/usr -x11=/usr/X11R6 -opt='-O2'

%install
mkdir -p ${RPM_BUILD_ROOT}/usr
mv -f ${RPM_BUILD_DIR}/%{rmver}/include ${RPM_BUILD_ROOT}/usr
mv -f ${RPM_BUILD_DIR}/%{rmver}/lib ${RPM_BUILD_ROOT}/usr


%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc %{rmver}/FUTUREPLANS %{rmver}/LICENSE.html %{rmver}/README %{rmver}/RELEASENOTES %{rmver}/VERSION %{rmver}/doc/HTML rmdemo openRMCaveDemos
%_libdir/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%_libdir/*.a

%changelog
* Wed Jun 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-1mdk
- 1.5.2

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-4mdk
- builrequires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-3mdk
- rebuild

* Fri Oct 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-2mdk
- rebuild

* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- added by Henrik Nagel <hrn@cvmt.dk> :
	- Initial version

# end of file
